# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit autotools subversion

ESVN_REPO_URI="http://ardesia.googlecode.com/svn/trunk/ardesia"

HOMEPAGE="http://code.google.com/p/ardesia/"
SRC_URI=""
DESCRIPTION="Color, record and share free-hand annotations on screen and on network."

LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
IUSE="-cwiid"

RDEPEND=">=x11-libs/gtk+-2.14
	dev-libs/atk
	media-libs/libpng
	media-libs/fontconfig
	sci-libs/gsl
	media-libs/freetype
	dev-libs/libsigsegv
	cwiid? ( app-misc/cwiid )
"
DEPEND="${RDEPEND}"

src_unpack() {
	subversion_src_unpack
}

src_prepare() {
	eautoreconf
	intltoolize --force --copy
	eautomake --PREFIX="/usr"
}

src_install() {
	make DESTDIR="${D}" install || die "make install ardesia failed"
}
