# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit subversion

ESVN_REPO_URI="http://ardesia.googlecode.com/svn/trunk/curtain"

HOMEPAGE="http://code.google.com/p/ardesia/"
DESCRIPTION="Curtain shows a movable and resizable curtain
	on the screen."
SRC_URI=""

LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
IUSE=""

DEPEND=""
RDEPEND=">=x11-libs/gtk+-2.14
	dev-libs/atk
	media-libs/libpng
	media-libs/fontconfig
	sci-libs/gsl
"

src_unpack() {
	subversion_src_unpack
}

src_configure() {
		sed 's|--enable-maintainer-mode|--prefix=/usr|' autogen.sh -i
		./autogen.sh
}

src_install() {
	make DESTDIR="${D}" install || die "make install failed"
}
