# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

SRC_URI="http://ardesia.googlecode.com/files/${P}.tar.gz"

DESCRIPTION="Shows a movable and resizable spotlight
			on the screen"
HOMEPAGE="http://code.google.com/p/ardesia/"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=""
RDEPEND=">=x11-libs/gtk+-2.14
	dev-libs/atk
	media-libs/libpng
	media-libs/fontconfig
	sci-libs/gsl
"

src_prepare() {
	mkdir pixmaps
	cp "${FILESDIR}/${PN}.png" pixmaps/
}

src_install() {
	make DESTDIR="${D}" install || die "make install failed"
}
